GenericKeyedObjectPoolMXBean (Apache Tomcat 8.5.83 API Documentation)

Package org.apache.tomcat.dbcp.pool2.impl

## Interface GenericKeyedObjectPoolMXBean<K>

- Type Parameters:
    `K` - The type of keys maintained by the pool.
  All Known Implementing Classes:
    `GenericKeyedObjectPool`

      public interface GenericKeyedObjectPoolMXBean<K>

  Defines the methods that will be made available via JMX. NOTE: This interface exists only to define those attributes and methods that will be made available via JMX. It must not be implemented by clients as it is subject to change between major, minor and patch version releases of commons pool. Clients that implement this interface may not, therefore, be able to upgrade to a new minor or patch release without requiring code changes.
  Since:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getBlockWhenExhausted()` | See `BaseGenericObjectPool.getBlockWhenExhausted()`
    `long` | `getBorrowedCount()` | See `BaseGenericObjectPool.getBorrowedCount()`
    `long` | `getCreatedCount()` | See `BaseGenericObjectPool.getCreatedCount()`
    `java.lang.String` | `getCreationStackTrace()` | See `BaseGenericObjectPool.getCreationStackTrace()`
    `long` | `getDestroyedByBorrowValidationCount()` | See `BaseGenericObjectPool.getDestroyedByBorrowValidationCount()`
    `long` | `getDestroyedByEvictorCount()` | See `BaseGenericObjectPool.getDestroyedByEvictorCount()`
    `long` | `getDestroyedCount()` | See `BaseGenericObjectPool.getDestroyedCount()`
    `boolean` | `getFairness()` | See `BaseGenericObjectPool.getFairness()`
    `boolean` | `getLifo()` | See `BaseGenericObjectPool.getLifo()`
    `long` | `getMaxBorrowWaitTimeMillis()` | See `BaseGenericObjectPool.getMaxBorrowWaitTimeMillis()`
    `int` | `getMaxIdlePerKey()` | See `GenericKeyedObjectPool.getMaxIdlePerKey()`
    `int` | `getMaxTotal()` | See `BaseGenericObjectPool.getMaxTotal()`
    `int` | `getMaxTotalPerKey()` | See `GenericKeyedObjectPool.getMaxTotalPerKey()`
    `long` | `getMaxWaitMillis()` | See `BaseGenericObjectPool.getMaxWaitMillis()`
    `long` | `getMeanActiveTimeMillis()` | See `BaseGenericObjectPool.getMeanActiveTimeMillis()`
    `long` | `getMeanBorrowWaitTimeMillis()` | See `BaseGenericObjectPool.getMaxBorrowWaitTimeMillis()`
    `long` | `getMeanIdleTimeMillis()` | See `BaseGenericObjectPool.getMeanIdleTimeMillis()`
    `long` | `getMinEvictableIdleTimeMillis()` | See `BaseGenericObjectPool.getMinEvictableIdleTimeMillis()`
    `int` | `getMinIdlePerKey()` | See `GenericKeyedObjectPool.getMinIdlePerKey()`
    `int` | `getNumActive()` | See `GenericKeyedObjectPool.getNumActive()`
    `java.util.Map<java.lang.String,​java.lang.Integer>` | `getNumActivePerKey()` | See `GenericKeyedObjectPool.getNumActivePerKey()`
    `int` | `getNumIdle()` | See `GenericKeyedObjectPool.getNumIdle()`
    `int` | `getNumTestsPerEvictionRun()` | See `BaseGenericObjectPool.getNumTestsPerEvictionRun()`
    `int` | `getNumWaiters()` | See `GenericKeyedObjectPool.getNumWaiters()`
    `java.util.Map<java.lang.String,​java.lang.Integer>` | `getNumWaitersByKey()` | See `GenericKeyedObjectPool.getNumWaitersByKey()`
    `long` | `getReturnedCount()` | See `BaseGenericObjectPool.getReturnedCount()`
    `boolean` | `getTestOnBorrow()` | See `BaseGenericObjectPool.getTestOnBorrow()`
    `boolean` | `getTestOnCreate()` | See `BaseGenericObjectPool.getTestOnCreate()`
    `boolean` | `getTestOnReturn()` | See `BaseGenericObjectPool.getTestOnReturn()`
    `boolean` | `getTestWhileIdle()` | See `BaseGenericObjectPool.getTestWhileIdle()`
    `long` | `getTimeBetweenEvictionRunsMillis()` | See `BaseGenericObjectPool.getTimeBetweenEvictionRunsMillis()`
    `boolean` | `isClosed()` | See `BaseGenericObjectPool.isClosed()`
    `java.util.Map<java.lang.String,​java.util.List<DefaultPooledObjectInfo>>` | `listAllObjects()` | See `GenericKeyedObjectPool.listAllObjects()`

- - ### Method Detail

    - #### getBlockWhenExhausted

          boolean getBlockWhenExhausted()

      See `BaseGenericObjectPool.getBlockWhenExhausted()`
      Returns:
        See `BaseGenericObjectPool.getBlockWhenExhausted()`

    - #### getFairness

          boolean getFairness()

      See `BaseGenericObjectPool.getFairness()`
      Returns:
        See `BaseGenericObjectPool.getFairness()`

    - #### getLifo

          boolean getLifo()

      See `BaseGenericObjectPool.getLifo()`
      Returns:
        See `BaseGenericObjectPool.getLifo()`

    - #### getMaxIdlePerKey

          int getMaxIdlePerKey()

      See `GenericKeyedObjectPool.getMaxIdlePerKey()`
      Returns:
        See `GenericKeyedObjectPool.getMaxIdlePerKey()`

    - #### getMaxTotal

          int getMaxTotal()

      See `BaseGenericObjectPool.getMaxTotal()`
      Returns:
        See `BaseGenericObjectPool.getMaxTotal()`

    - #### getMaxTotalPerKey

          int getMaxTotalPerKey()

      See `GenericKeyedObjectPool.getMaxTotalPerKey()`
      Returns:
        See `GenericKeyedObjectPool.getMaxTotalPerKey()`

    - #### getMaxWaitMillis

          long getMaxWaitMillis()

      See `BaseGenericObjectPool.getMaxWaitMillis()`
      Returns:
        See `BaseGenericObjectPool.getMaxWaitMillis()`

    - #### getMinEvictableIdleTimeMillis

          long getMinEvictableIdleTimeMillis()

      See `BaseGenericObjectPool.getMinEvictableIdleTimeMillis()`
      Returns:
        See `BaseGenericObjectPool.getMinEvictableIdleTimeMillis()`

    - #### getMinIdlePerKey

          int getMinIdlePerKey()

      See `GenericKeyedObjectPool.getMinIdlePerKey()`
      Returns:
        See `GenericKeyedObjectPool.getMinIdlePerKey()`

    - #### getNumActive

          int getNumActive()

      See `GenericKeyedObjectPool.getNumActive()`
      Returns:
        See `GenericKeyedObjectPool.getNumActive()`

    - #### getNumIdle

          int getNumIdle()

      See `GenericKeyedObjectPool.getNumIdle()`
      Returns:
        See `GenericKeyedObjectPool.getNumIdle()`

    - #### getNumTestsPerEvictionRun

          int getNumTestsPerEvictionRun()

      See `BaseGenericObjectPool.getNumTestsPerEvictionRun()`
      Returns:
        See `BaseGenericObjectPool.getNumTestsPerEvictionRun()`

    - #### getTestOnCreate

          boolean getTestOnCreate()

      See `BaseGenericObjectPool.getTestOnCreate()`
      Returns:
        See `BaseGenericObjectPool.getTestOnCreate()`
      Since:
        2.2

    - #### getTestOnBorrow

          boolean getTestOnBorrow()

      See `BaseGenericObjectPool.getTestOnBorrow()`
      Returns:
        See `BaseGenericObjectPool.getTestOnBorrow()`

    - #### getTestOnReturn

          boolean getTestOnReturn()

      See `BaseGenericObjectPool.getTestOnReturn()`
      Returns:
        See `BaseGenericObjectPool.getTestOnReturn()`

    - #### getTestWhileIdle

          boolean getTestWhileIdle()

      See `BaseGenericObjectPool.getTestWhileIdle()`
      Returns:
        See `BaseGenericObjectPool.getTestWhileIdle()`

    - #### getTimeBetweenEvictionRunsMillis

          long getTimeBetweenEvictionRunsMillis()

      See `BaseGenericObjectPool.getTimeBetweenEvictionRunsMillis()`
      Returns:
        See `BaseGenericObjectPool.getTimeBetweenEvictionRunsMillis()`

    - #### isClosed

          boolean isClosed()

      See `BaseGenericObjectPool.isClosed()`
      Returns:
        See `BaseGenericObjectPool.isClosed()`

    - #### getNumActivePerKey

          java.util.Map<java.lang.String,​java.lang.Integer> getNumActivePerKey()

      See `GenericKeyedObjectPool.getNumActivePerKey()`
      Returns:
        See `GenericKeyedObjectPool.getNumActivePerKey()`

    - #### getBorrowedCount

          long getBorrowedCount()

      See `BaseGenericObjectPool.getBorrowedCount()`
      Returns:
        See `BaseGenericObjectPool.getBorrowedCount()`

    - #### getReturnedCount

          long getReturnedCount()

      See `BaseGenericObjectPool.getReturnedCount()`
      Returns:
        See `BaseGenericObjectPool.getReturnedCount()`

    - #### getCreatedCount

          long getCreatedCount()

      See `BaseGenericObjectPool.getCreatedCount()`
      Returns:
        See `BaseGenericObjectPool.getCreatedCount()`

    - #### getDestroyedCount

          long getDestroyedCount()

      See `BaseGenericObjectPool.getDestroyedCount()`
      Returns:
        See `BaseGenericObjectPool.getDestroyedCount()`

    - #### getDestroyedByEvictorCount

          long getDestroyedByEvictorCount()

      See `BaseGenericObjectPool.getDestroyedByEvictorCount()`
      Returns:
        See `BaseGenericObjectPool.getDestroyedByEvictorCount()`

    - #### getDestroyedByBorrowValidationCount

          long getDestroyedByBorrowValidationCount()

      See `BaseGenericObjectPool.getDestroyedByBorrowValidationCount()`
      Returns:
        See `BaseGenericObjectPool.getDestroyedByBorrowValidationCount()`

    - #### getMeanActiveTimeMillis

          long getMeanActiveTimeMillis()

      See `BaseGenericObjectPool.getMeanActiveTimeMillis()`
      Returns:
        See `BaseGenericObjectPool.getMeanActiveTimeMillis()`

    - #### getMeanIdleTimeMillis

          long getMeanIdleTimeMillis()

      See `BaseGenericObjectPool.getMeanIdleTimeMillis()`
      Returns:
        See `BaseGenericObjectPool.getMeanIdleTimeMillis()`

    - #### getMeanBorrowWaitTimeMillis

          long getMeanBorrowWaitTimeMillis()

      See `BaseGenericObjectPool.getMaxBorrowWaitTimeMillis()`
      Returns:
        See `BaseGenericObjectPool.getMaxBorrowWaitTimeMillis()`

    - #### getMaxBorrowWaitTimeMillis

          long getMaxBorrowWaitTimeMillis()

      See `BaseGenericObjectPool.getMaxBorrowWaitTimeMillis()`
      Returns:
        See `BaseGenericObjectPool.getMaxBorrowWaitTimeMillis()`

    - #### getCreationStackTrace

          java.lang.String getCreationStackTrace()

      See `BaseGenericObjectPool.getCreationStackTrace()`
      Returns:
        See `BaseGenericObjectPool.getCreationStackTrace()`

    - #### getNumWaiters

          int getNumWaiters()

      See `GenericKeyedObjectPool.getNumWaiters()`
      Returns:
        See `GenericKeyedObjectPool.getNumWaiters()`

    - #### getNumWaitersByKey

          java.util.Map<java.lang.String,​java.lang.Integer> getNumWaitersByKey()

      See `GenericKeyedObjectPool.getNumWaitersByKey()`
      Returns:
        See `GenericKeyedObjectPool.getNumWaitersByKey()`

    - #### listAllObjects

          java.util.Map<java.lang.String,​java.util.List<DefaultPooledObjectInfo>> listAllObjects()

      See `GenericKeyedObjectPool.listAllObjects()`
      Returns:
        See `GenericKeyedObjectPool.listAllObjects()`